# Source: dleverton
# Upstream: has been informed of the need; no answer yet
# Reason: use autotools to build a proper shared library on amd64

lib_LTLIBRARIES = libglkloader.la
libglkloader_la_SOURCES = glkloader.c linux_defines.c \
	glkfuncs.c blorbfuncs.c dispafuncs.c unixfuncs.c
libglkloader_la_LDFLAGS = -Lxpconfig
libglkloader_la_LIBADD = -lxpconfig

glk_includedir = $(includedir)/glk
glk_include_HEADERS = Make.glkloader
AM_CPPFLAGS = -DLINUX -I$(glk_includedir)

BUILT_SOURCES = glkfuncs.c
glkfuncs.c: generate_glkfuncs.pl func.txt
	./generate_glkfuncs.pl $(glk_includedir)/glk.h func.txt

Make.glkloader:
	echo LINKLIBS = >Make.glkloader
	echo GLKLIB = -lglkloader >>Make.glkloader
